package com.community.huiju.feign.impl;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.feign.TaUserFeignService;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class TaUserFeignFallBack implements TaUserFeignService {

    @Override
    public ResponseBean register(String parameter) {
        return back();
    }

    @Override
    public ResponseBean pushHKPerson(Integer appUserId,Integer userVerifyId) {
        return back();
    }

    @Override
    public ResponseBean downloadAuthorityByDeviceUuids() {
        return back();
    }

    private ResponseBean back() {
        log.error("app-api 远端服务请求失败！");
        ResponseBean responseBean = new ResponseBean();
        responseBean.addError("app-api 远端服务请求失败！");
        return responseBean;
    }
}
